---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK8_x86-64_mac_Personal/build/macosx-x86_64-normal-server-release/jdk/lib/libdt_socket.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _jdwpTransport_OnLoad, symObjAddr: 0x0, symBinAddr: 0x2565, symSize: 0xEC }
  - { offsetInCU: 0x3F, offset: 0x3F, size: 0x8, addend: 0x0, symName: _callback, symObjAddr: 0x6FF0, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0xB4, offset: 0xB4, size: 0x8, addend: 0x0, symName: _jvm, symObjAddr: 0x6FE8, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x19E, offset: 0x19E, size: 0x8, addend: 0x0, symName: _tlsIndex, symObjAddr: 0x7050, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x1B3, offset: 0x1B3, size: 0x8, addend: 0x0, symName: _initialized, symObjAddr: 0x6FE0, symBinAddr: 0x8148, symSize: 0x0 }
  - { offsetInCU: 0x1E1, offset: 0x1E1, size: 0x8, addend: 0x0, symName: _interface, symObjAddr: 0x6FF8, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x5ED, offset: 0x5ED, size: 0x8, addend: 0x0, symName: _socketFD, symObjAddr: 0xF38, symBinAddr: 0x8140, symSize: 0x0 }
  - { offsetInCU: 0x602, offset: 0x602, size: 0x8, addend: 0x0, symName: _serverSocketFD, symObjAddr: 0x7054, symBinAddr: 0x81BC, symSize: 0x0 }
  - { offsetInCU: 0x623, offset: 0x623, size: 0x8, addend: 0x0, symName: _single_env, symObjAddr: 0xF30, symBinAddr: 0x8138, symSize: 0x0 }
  - { offsetInCU: 0x68A, offset: 0x68A, size: 0x8, addend: 0x0, symName: _jdwpTransport_OnLoad, symObjAddr: 0x0, symBinAddr: 0x2565, symSize: 0xEC }
  - { offsetInCU: 0x6FD, offset: 0x6FD, size: 0x8, addend: 0x0, symName: _socketTransport_getCapabilities, symObjAddr: 0xEC, symBinAddr: 0x2651, symSize: 0xE }
  - { offsetInCU: 0x73E, offset: 0x73E, size: 0x8, addend: 0x0, symName: _socketTransport_attach, symObjAddr: 0xFA, symBinAddr: 0x265F, symSize: 0x19A }
  - { offsetInCU: 0x890, offset: 0x890, size: 0x8, addend: 0x0, symName: _parseAddress, symObjAddr: 0xB52, symBinAddr: 0x30B7, symSize: 0x128 }
  - { offsetInCU: 0xA49, offset: 0xA49, size: 0x8, addend: 0x0, symName: _setOptions, symObjAddr: 0xC7A, symBinAddr: 0x31DF, symSize: 0x5F }
  - { offsetInCU: 0xB54, offset: 0xB54, size: 0x8, addend: 0x0, symName: _setLastError, symObjAddr: 0xA32, symBinAddr: 0x2F97, symSize: 0x120 }
  - { offsetInCU: 0xC2C, offset: 0xC2C, size: 0x8, addend: 0x0, symName: _handshake, symObjAddr: 0xCD9, symBinAddr: 0x323E, symSize: 0x15C }
  - { offsetInCU: 0xD9D, offset: 0xD9D, size: 0x8, addend: 0x0, symName: _socketTransport_startListening, symObjAddr: 0x294, symBinAddr: 0x27F9, symSize: 0x193 }
  - { offsetInCU: 0xF4A, offset: 0xF4A, size: 0x8, addend: 0x0, symName: _socketTransport_stopListening, symObjAddr: 0x427, symBinAddr: 0x298C, symSize: 0x59 }
  - { offsetInCU: 0xF97, offset: 0xF97, size: 0x8, addend: 0x0, symName: _socketTransport_accept, symObjAddr: 0x480, symBinAddr: 0x29E5, symSize: 0x1D3 }
  - { offsetInCU: 0x11B8, offset: 0x11B8, size: 0x8, addend: 0x0, symName: _socketTransport_isOpen, symObjAddr: 0x653, symBinAddr: 0x2BB8, symSize: 0x11 }
  - { offsetInCU: 0x11DF, offset: 0x11DF, size: 0x8, addend: 0x0, symName: _socketTransport_close, symObjAddr: 0x664, symBinAddr: 0x2BC9, symSize: 0x44 }
  - { offsetInCU: 0x1238, offset: 0x1238, size: 0x8, addend: 0x0, symName: _socketTransport_readPacket, symObjAddr: 0x6A8, symBinAddr: 0x2C0D, symSize: 0x1C2 }
  - { offsetInCU: 0x13A0, offset: 0x13A0, size: 0x8, addend: 0x0, symName: _recv_fully, symObjAddr: 0xE35, symBinAddr: 0x339A, symSize: 0x72 }
  - { offsetInCU: 0x144C, offset: 0x144C, size: 0x8, addend: 0x0, symName: _socketTransport_writePacket, symObjAddr: 0x86A, symBinAddr: 0x2DCF, symSize: 0x162 }
  - { offsetInCU: 0x157E, offset: 0x157E, size: 0x8, addend: 0x0, symName: _send_fully, symObjAddr: 0xEA7, symBinAddr: 0x340C, symSize: 0x72 }
  - { offsetInCU: 0x160E, offset: 0x160E, size: 0x8, addend: 0x0, symName: _socketTransport_getLastError, symObjAddr: 0x9CC, symBinAddr: 0x2F31, symSize: 0x66 }
  - { offsetInCU: 0x26, offset: 0x1943, size: 0x8, addend: 0x0, symName: _dbgsysListen, symObjAddr: 0x0, symBinAddr: 0x347E, symSize: 0xA }
  - { offsetInCU: 0xA0, offset: 0x19BD, size: 0x8, addend: 0x0, symName: _dbgsysListen, symObjAddr: 0x0, symBinAddr: 0x347E, symSize: 0xA }
  - { offsetInCU: 0x10B, offset: 0x1A28, size: 0x8, addend: 0x0, symName: _dbgsysConnect, symObjAddr: 0xA, symBinAddr: 0x3488, symSize: 0x39 }
  - { offsetInCU: 0x21E, offset: 0x1B3B, size: 0x8, addend: 0x0, symName: _dbgsysFinishConnect, symObjAddr: 0x43, symBinAddr: 0x34C1, symSize: 0x2B }
  - { offsetInCU: 0x284, offset: 0x1BA1, size: 0x8, addend: 0x0, symName: _dbgsysPoll, symObjAddr: 0x6E, symBinAddr: 0x34EC, symSize: 0x74 }
  - { offsetInCU: 0x37A, offset: 0x1C97, size: 0x8, addend: 0x0, symName: _dbgsysAccept, symObjAddr: 0xE2, symBinAddr: 0x3560, symSize: 0x4B }
  - { offsetInCU: 0x411, offset: 0x1D2E, size: 0x8, addend: 0x0, symName: _dbgsysRecvFrom, symObjAddr: 0x12D, symBinAddr: 0x35AB, symSize: 0x61 }
  - { offsetInCU: 0x526, offset: 0x1E43, size: 0x8, addend: 0x0, symName: _dbgsysSendTo, symObjAddr: 0x18E, symBinAddr: 0x360C, symSize: 0x61 }
  - { offsetInCU: 0x614, offset: 0x1F31, size: 0x8, addend: 0x0, symName: _dbgsysRecv, symObjAddr: 0x1EF, symBinAddr: 0x366D, symSize: 0x4E }
  - { offsetInCU: 0x6C4, offset: 0x1FE1, size: 0x8, addend: 0x0, symName: _dbgsysSend, symObjAddr: 0x23D, symBinAddr: 0x36BB, symSize: 0x4E }
  - { offsetInCU: 0x774, offset: 0x2091, size: 0x8, addend: 0x0, symName: _dbgsysGetHostByName, symObjAddr: 0x28B, symBinAddr: 0x3709, symSize: 0xA }
  - { offsetInCU: 0x81B, offset: 0x2138, size: 0x8, addend: 0x0, symName: _dbgsysHostToNetworkShort, symObjAddr: 0x295, symBinAddr: 0x3713, symSize: 0xD }
  - { offsetInCU: 0x844, offset: 0x2161, size: 0x8, addend: 0x0, symName: _dbgsysSocket, symObjAddr: 0x2A2, symBinAddr: 0x3720, symSize: 0xA }
  - { offsetInCU: 0x8C4, offset: 0x21E1, size: 0x8, addend: 0x0, symName: _dbgsysSocketClose, symObjAddr: 0x2AC, symBinAddr: 0x372A, symSize: 0x2A }
  - { offsetInCU: 0x926, offset: 0x2243, size: 0x8, addend: 0x0, symName: _dbgsysBind, symObjAddr: 0x2D6, symBinAddr: 0x3754, symSize: 0xA }
  - { offsetInCU: 0x9AA, offset: 0x22C7, size: 0x8, addend: 0x0, symName: _dbgsysInetAddr, symObjAddr: 0x2E0, symBinAddr: 0x375E, symSize: 0xA }
  - { offsetInCU: 0xA02, offset: 0x231F, size: 0x8, addend: 0x0, symName: _dbgsysHostToNetworkLong, symObjAddr: 0x2EA, symBinAddr: 0x3768, symSize: 0xA }
  - { offsetInCU: 0xA29, offset: 0x2346, size: 0x8, addend: 0x0, symName: _dbgsysNetworkToHostShort, symObjAddr: 0x2F4, symBinAddr: 0x3772, symSize: 0xD }
  - { offsetInCU: 0xA52, offset: 0x236F, size: 0x8, addend: 0x0, symName: _dbgsysGetSocketName, symObjAddr: 0x301, symBinAddr: 0x377F, symSize: 0xA }
  - { offsetInCU: 0xAD6, offset: 0x23F3, size: 0x8, addend: 0x0, symName: _dbgsysNetworkToHostLong, symObjAddr: 0x30B, symBinAddr: 0x3789, symSize: 0xA }
  - { offsetInCU: 0xAFD, offset: 0x241A, size: 0x8, addend: 0x0, symName: _dbgsysSetSocketOption, symObjAddr: 0x315, symBinAddr: 0x3793, symSize: 0xE9 }
  - { offsetInCU: 0xC58, offset: 0x2575, size: 0x8, addend: 0x0, symName: _dbgsysConfigureBlocking, symObjAddr: 0x3FE, symBinAddr: 0x387C, symSize: 0x53 }
  - { offsetInCU: 0xCEE, offset: 0x260B, size: 0x8, addend: 0x0, symName: _dbgsysGetLastIOError, symObjAddr: 0x451, symBinAddr: 0x38CF, symSize: 0x37 }
  - { offsetInCU: 0xD39, offset: 0x2656, size: 0x8, addend: 0x0, symName: _dbgsysTlsAlloc, symObjAddr: 0x488, symBinAddr: 0x3906, symSize: 0x29 }
  - { offsetInCU: 0xDB2, offset: 0x26CF, size: 0x8, addend: 0x0, symName: _dbgsysTlsAlloc.cold.1, symObjAddr: 0x51A, symBinAddr: 0x3998, symSize: 0x18 }
  - { offsetInCU: 0xDC9, offset: 0x26E6, size: 0x8, addend: 0x0, symName: _dbgsysTlsFree, symObjAddr: 0x4B1, symBinAddr: 0x392F, symSize: 0xD }
  - { offsetInCU: 0xE0F, offset: 0x272C, size: 0x8, addend: 0x0, symName: _dbgsysTlsPut, symObjAddr: 0x4BE, symBinAddr: 0x393C, symSize: 0xD }
  - { offsetInCU: 0xE70, offset: 0x278D, size: 0x8, addend: 0x0, symName: _dbgsysTlsGet, symObjAddr: 0x4CB, symBinAddr: 0x3949, symSize: 0xD }
  - { offsetInCU: 0xEBA, offset: 0x27D7, size: 0x8, addend: 0x0, symName: _dbgsysCurrentTimeMillis, symObjAddr: 0x4D8, symBinAddr: 0x3956, symSize: 0x42 }
...
